Custody providers

Get Safe Wallet Information

Fetches contract/on-chain information for a legacy Safe wallet via RPC (eth_getCode through Alchemy).

POSThttps://api.toku.com/tga/get-safe-wallet-information

Required scope: wallets:read

curl --request POST \
  --url 'https://api.toku.com/tga/get-safe-wallet-information' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "cursor": {
    "safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "limit": 0
}'
200 response
{
  "success": true,
  "message": "string",
  "walletInfo": {
    "type": "safe",
    "network": "string",
    "safeInfo": {
      "label": "string",
      "nonce": 0,
      "threshold": 0,
      "signers": [
        "string"
      ]
    }
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring<uuid>
safeWalletIDstring<uuid>
cursorobject
Show child attributes
safeWalletIDstring<uuid>required
limitinteger

Allowed: 1 to 20

Response

200Successful response
successbooleanrequired
messagestring
walletInfoobjectrequired
Show child attributes
typestringrequired

Available options: safe, EOA, Smart Contract

networkstringrequired
safeInfoobject
Show child attributes
labelstringrequired
noncenumberrequired
thresholdnumberrequired
signersstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits